Escalate an order dispute as seller
curl --request POST \
--url https://api.gameboost.com/v2/order-disputes/{orderDisputeCase}/escalate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"message": "Buyer refuses to communicate. Please review the attached evidence.",
"evidence_urls": [
"<string>"
]
}
'import requests
url = "https://api.gameboost.com/v2/order-disputes/{orderDisputeCase}/escalate"
payload = {
"message": "Buyer refuses to communicate. Please review the attached evidence.",
"evidence_urls": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
message: 'Buyer refuses to communicate. Please review the attached evidence.',
evidence_urls: ['<string>']
})
};
fetch('https://api.gameboost.com/v2/order-disputes/{orderDisputeCase}/escalate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": 123,
"orderable_id": 123,
"buyer_id": 123,
"explanation": "<string>",
"preferred_resolution_note": "<string>",
"seller_response_due_at": 123,
"buyer_response_due_at": 123,
"active_due_at": 123,
"is_active_deadline_expired": true,
"seller_response_hours": 123,
"buyer_response_hours": 123,
"locked_at": 123,
"closed_at": 123,
"created_at": 123,
"updated_at": 123,
"events": [
{
"id": 123,
"actor_id": 123,
"actor_username": "<string>",
"payload": {},
"evidence_urls": [
"<string>"
],
"created_at": 123
}
]
},
"message": "<string>"
}{
"message": "Unauthenticated."
}{
"message": "This action is unauthorized."
}{
"message": "Resource not found."
}{
"message": "The given data was invalid.",
"errors": {
"field": [
"Something is wrong with this field!"
]
}
}{
"message": "Too many requests."
}Order Disputes
Escalate an order dispute as seller
Seller-only: escalate the dispute to GameBoost for final resolution, optionally attaching evidence.
Evidence URLs are fetched asynchronously from the provided public URLs. Supported types: JPEG, PNG, GIF, WEBP, MP4, MOV, OGG, WEBM, PDF, TXT, CSV. Maximum 5 files, 20MB each.
POST
/
v2
/
order-disputes
/
{orderDisputeCase}
/
escalate
Escalate an order dispute as seller
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the order dispute case.
Body
application/json
Explanation shared with GameBoost when escalating the dispute.
Maximum string length:
1200Example:
"Buyer refuses to communicate. Please review the attached evidence."
Up to 5 publicly accessible URLs (JPEG, PNG, GIF, WEBP, MP4, MOV, OGG, WEBM, PDF, TXT, CSV) to attach as evidence. Files are fetched server-side and stored on the dispute event.
Maximum array length:
5Maximum string length:
2048Was this page helpful?
⌘I